From: Arnaud Rebillout <arnaudr@kali.org>
Date: Mon, 16 Oct 2023 21:10:25 +0700
Subject: monitor: Readability nitpick in the mirrorCheckTicker case

We can check if the mirror is handled by the cluster once instead of
twice, it's a bit nicer.
---
 daemon/monitor.go | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/daemon/monitor.go b/daemon/monitor.go
index 0be7d36..afa924b 100644
--- a/daemon/monitor.go
+++ b/daemon/monitor.go
@@ -265,14 +265,17 @@ func (m *monitor) MonitorLoop() {
 					// Ignore disabled mirrors
 					continue
 				}
-				if v.NeedHealthCheck() && !v.IsChecking() && m.cluster.IsHandled(id) {
+				if !m.cluster.IsHandled(id) {
+					continue
+				}
+				if v.NeedHealthCheck() && !v.IsChecking() {
 					select {
 					case m.healthCheckChan <- id:
 						m.mirrors[id].checking = true
 					default:
 					}
 				}
-				if v.NeedSync() && !v.IsScanning() && m.cluster.IsHandled(id) {
+				if v.NeedSync() && !v.IsScanning() {
 					select {
 					case m.syncChan <- id:
 						m.mirrors[id].scanning = true
